Loading...
Searching...
No Matches
pappso::masschroq Namespace Reference

## Classes

class | AlignmentMethod
class | JsonInput
class | PrecursorParser
class | MbrPeptideMeasurements
class | MsRun
class | MsRunGroup
class | MsRunPeptideList
class | CborOutputStream
class | Peptide
class | PeptideBase
class | PeptideLabel
class | PeptideMeasurements
class | PeptideMeasurementsBase
class | PeptideObservation
class | Precursor
| A Precursor object represents the parent/precursor of the MS level 2 scan with number _scan_num in the mzxml file. More...
class | Protein
class | QuantificationMethod
class | Utils

## Typedefs

typedef std::shared_ptr< AlignmentMethod > | AlignmentMethodSp
typedef std::shared_ptr< MbrPeptideMeasurements > | MbrPeptideMeasurementsSp
typedef std::shared_ptr< MsRun > | MsRunSp
typedef std::shared_ptr< MsRunGroup > | MsRunGroupSp
typedef std::shared_ptr< MsRunPeptideList > | MsRunPeptideListSp
typedef std::shared_ptr< Peptide > | PeptideSp
typedef std::shared_ptr< PeptideLabel > | PeptideLabelSp
typedef std::shared_ptr< PeptideObservation > | PeptideObservationSp
typedef std::shared_ptr< PeptideMeasurements > | PeptideMeasurementsSp
typedef std::shared_ptr< Precursor > | PrecursorSp
typedef std::shared_ptr< Protein > | ProteinSp
typedef std::shared_ptr< QuantificationMethod > | QuantificationMethodSp

## Enumerations

enum class | PeakQualityCategory : std::int8_t { nomatch , aa , a , ab , zaa , za , zab , b , c , d , post_matching , missed , last }

## Variables

class PMSPP_LIB_DECL | AlignmentMethod

## Typedef Documentation

## AlignmentMethodSp

typedef std::shared_ptr<AlignmentMethod> pappso::masschroq::AlignmentMethodSp

Definition at line 42 of file alignmentmethod.h.

## MbrPeptideMeasurementsSp

typedef std::shared_ptr<MbrPeptideMeasurements> pappso::masschroq::MbrPeptideMeasurementsSp

Definition at line 44 of file mbrpeptidemeasurements.h.

## MsRunGroupSp

typedef std::shared_ptr<MsRunGroup> pappso::masschroq::MsRunGroupSp

Definition at line 42 of file msrungroup.h.

## MsRunPeptideListSp

typedef std::shared_ptr<MsRunPeptideList> pappso::masschroq::MsRunPeptideListSp

Definition at line 47 of file msrunpeptidelist.h.

## MsRunSp

typedef std::shared_ptr<MsRun> pappso::masschroq::MsRunSp

Definition at line 44 of file msrun.h.

## PeptideLabelSp

typedef std::shared_ptr<PeptideLabel> pappso::masschroq::PeptideLabelSp

Definition at line 52 of file peptide.h.

## PeptideMeasurementsSp

typedef std::shared_ptr<PeptideMeasurements> pappso::masschroq::PeptideMeasurementsSp

Definition at line 50 of file peptidemeasurements.h.

## PeptideObservationSp

typedef std::shared_ptr< PeptideObservation > pappso::masschroq::PeptideObservationSp

Definition at line 45 of file peptidemeasurements.h.

## PeptideSp

typedef std::shared_ptr<Peptide> pappso::masschroq::PeptideSp

Definition at line 46 of file peptide.h.

## PrecursorSp

typedef std::shared_ptr<Precursor> pappso::masschroq::PrecursorSp

Definition at line 39 of file precursor.h.

## ProteinSp

typedef std::shared_ptr<Protein> pappso::masschroq::ProteinSp

Definition at line 39 of file protein.h.

## QuantificationMethodSp

typedef std::shared_ptr<QuantificationMethod> pappso::masschroq::QuantificationMethodSp

Definition at line 46 of file quantificationmethod.h.

## Enumeration Type Documentation

## PeakQualityCategory

enum class pappso::masschroq::PeakQualityCategory : std::int8_t

strong

Enumerator
nomatch | there is no category, because no matching is done (mz list for example)
aa | best possible : more than one direct MS2 fragmentation in same MSRUN
a | peak detected using a single direct MS2 observation
ab | peak detected using direct MS2 observation... but the peak is fragmented. all MS2 retention times are not givins the same peak
zaa |
za |
zab |
b | less good : match between run, peak found at the aligned retention time
c | less good : match between run, peak found at the aligned retention time, but multiple choice
d | less good : match between run, peak found but in the margin of peak (second chance)
post_matching | post matching category : new retention times are computed using real XIC, and aligned rt give a match
missed | no peak found at all
last |

Definition at line 41 of file types.h.

{
nomatch, ///< there is no category, because no matching is done (mz list for
///< example)
aa, ///< best possible : more than one direct MS2 fragmentation in same MSRUN
a, ///< peak detected using a single direct MS2 observation
ab, ///< peak detected using direct MS2 observation... but the peak is
///< fragmented. all MS2 retention times are not givins the same peak
zaa, ///<
za, ///<
zab, ///<
b, ///< less good : match between run, peak found at the aligned retention
///< time
c, ///< less good : match between run, peak found at the aligned retention
///< time, but multiple choice
d, ///< less good : match between run, peak found but in the margin of peak
///< (second chance)
post_matching, ///< post matching category : new retention times are computed
///< using real XIC, and aligned rt give a match
missed, ///< no peak found at all
last
};
pappso::masschroq::PeakQualityCategory::a
@ a
peak detected using a single direct MS2 observation
Definition types.h:46
pappso::masschroq::PeakQualityCategory::ab
@ ab
Definition types.h:47
pappso::masschroq::PeakQualityCategory::missed
@ missed
no peak found at all
Definition types.h:60
pappso::masschroq::PeakQualityCategory::aa
@ aa
best possible : more than one direct MS2 fragmentation in same MSRUN
Definition types.h:45
pappso::masschroq::PeakQualityCategory::zab
@ zab
Definition types.h:51
pappso::masschroq::PeakQualityCategory::c
@ c
Definition types.h:54
pappso::masschroq::PeakQualityCategory::nomatch
@ nomatch
Definition types.h:43
pappso::masschroq::PeakQualityCategory::d
@ d
Definition types.h:56
pappso::masschroq::PeakQualityCategory::b
@ b
Definition types.h:52
pappso::masschroq::PeakQualityCategory::za
@ za
Definition types.h:50
pappso::masschroq::PeakQualityCategory::last
@ last
Definition types.h:61
pappso::masschroq::PeakQualityCategory::zaa
@ zaa
Definition types.h:49
pappso::masschroq::PeakQualityCategory::post_matching
@ post_matching
Definition types.h:58

## Variable Documentation

## AlignmentMethod

class PMSPP_LIB_DECL pappso::masschroq::AlignmentMethod

Definition at line 40 of file alignmentmethod.h.